<?php

if (empty($_GET['elid'])) {
    if (empty($_POST['submit'])) {
        echo '<div class="menu"><img src="images/t-new.png" alt="." />Создание FTP аккаунта<br />' . "\n</div>";
        echo '<div class="post">Выберите тип аккаунта:<br />' . "\n";
        echo '<form action="?func=ftp.edit" method="post">' . "\n";
        echo '<select name="htype">' . "\n";
        echo '<option value="equalme">Эквивалент администратора</option>' . "\n";
        /*echo '<option value="private">Закрытая директория</option>' . "\n";*/
        echo '<option value="docroot">Директория WWW домена</option>' . "\n";
        echo '<option value="custom">Другая директория</option>' . "\n";
        echo '</select><br />' . "\n";
        echo '<input name="submit" type="submit" value="Продолжить" />' . "\n";
        echo '</form>' . "\n</div>";
        echo '<div class="menu"><img src="images/t-back.png" alt="." /><a href="?func=ftp">Вернуться</a><br />' . "\n";
        echo '<img src="images/sb-menu.png" alt="." /><a href="?func=menu">Вернуться в меню</a>' . "\n</div>";
    } else {
        if (empty($_POST['new'])) {
            echo '<div class="menu"><img src="images/t-new.png" alt="." />Создание FTP аккаунта<br />' . "\n</div>";
            echo '<div class="post"><form action="?func=ftp.edit" method="post">' . "\n";
            echo 'Имя:<br />' . "\n";
            echo '<input name="name" /><br />' . "\n";
            echo 'Пароль:<br />' . "\n";
            echo '<input name="passwd" type="password" /><br />' . "\n";
            echo 'Подтверждение:<br />' . "\n";
            echo '<input name="confirm" type="password" /><br />' . "\n";
            /*if ($_POST['htype'] == 'private') {
                echo 'Дисковая квота:<br />' . "\n";
                echo '<input name="disklimit" /><br />' . "\n";
            } else*/if ($_POST['htype'] == 'docroot') {
                echo 'Домен:<br />' . "\n";
                echo '<select name="domain">' . "\n";
                $content = api_query('https://' . $server . '/manager/ispmgr?func=wwwdomain&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
                $parse_xml = simplexml_load_string($content);
                foreach($parse_xml->elem as $var) {
                    echo '<option value="' . htmlentities((string)$var->name, ENT_QUOTES, 'UTF-8') . '">' . htmlentities((string)$var->name, ENT_QUOTES, 'UTF-8') . '</option>' . "\n";
                }
                echo '</select><br />' . "\n";
            } elseif ($_POST['htype'] == 'custom') {
                echo 'Директория:<br />' . "\n";
                echo '<input name="dir" /><br />' . "\n";
            }
            echo 'Заметки:<br />' . "\n";
            echo '<textarea cols="25" rows="3" name="note"></textarea><br />' . "\n";
            echo '<input name="submit" type="hidden" value="submit" />' . "\n";
            echo '<input name="htype" type="hidden" value="' . htmlentities($_POST['htype'], ENT_QUOTES, 'UTF-8') . '" />' . "\n";
            echo '<input name="new" type="submit" value="Создать" />' . "\n";
            echo '</form>' . "\n</div>";
            echo '<div class="menu"><img src="images/t-back.png" alt="." /><a href="?func=ftp">Вернуться</a><br />' . "\n";
            echo '<img src="images/sb-menu.png" alt="." /><a href="?func=menu">Вернуться в меню</a>' . "\n</div>";
        } else {
            $htype = isset($_POST['htype'])?$_POST['htype']:'';
            switch ($htype) {
                default:
                    session_unset();
                    header('Location: index.php');
                    ob_end_flush();
                    exit();
                    break;
                case 'equalme':
                    if ($_POST['passwd'] <> $_POST['confirm'] or $_POST['passwd'] == '') {
                        echo '<div class="post"><div style="text-align:center">' . "\n";
                        echo 'Ошибка при создании аккаунта!<br />' . "\n";
                        echo 'Пароль не подтвержден.<br />' . "\n";
                        echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                        echo '</div></div>' . "\n";
                    } else {
                        $content = api_query('https://' . $server . '/manager/ispmgr?func=ftp.edit&name=' . urlencode($_POST['name']) . '&passwd=' . urlencode($_POST['passwd']) . '&confirm=' . urlencode($_POST['confirm']) . '&dir=&disklimit=0&elid=&sok=ok&htype=equalme&domain=&note=' . urlencode($_POST['note']) . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
                        $parse_xml = simplexml_load_string($content);
                        if (isset($parse_xml->ok)) {
                            echo '<div class="post"><div style="text-align:center">' . "\n";
                            echo 'Аккаунт успешно создан!<br />' . "\n";
                            echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                            echo '</div></div>' . "\n";
                        } else {
                            echo '<div class="post"><div style="text-align:center">' . "\n";
                            echo 'Ошибка при создании аккаунта!<br />' . "\n";
                            echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                            echo '</div></div>' . "\n";
                        }
                    }
                    break;
                /*case 'private':
                    if ($_POST['passwd'] <> $_POST['confirm'] or $_POST['passwd'] == '') {
                        echo '<div style="text-align:center">' . "\n";
                        echo 'Ошибка при создании аккаунта!<br />' . "\n";
                        echo 'Пароль не подтвержден.<br />' . "\n";
                        echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                        echo '</div>' . "\n";
                    } else {
                        $content = api_query('https://' . $server . '/manager/ispmgr?func=ftp.edit&name=' . urlencode($_POST['name']) . '&passwd=' . urlencode($_POST['passwd']) . '&confirm=' . urlencode($_POST['confirm']) . '&dir=&disklimit=' . (int)$_POST['disklimit'] . '&elid=&sok=ok&htype=private&domain=&note=' . urlencode($_POST['note']) . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
                        $parse_xml = simplexml_load_string($content);
                        if (isset($parse_xml->ok)) {
                            echo '<div style="text-align:center">' . "\n";
                            echo 'Аккаунт успешно создан!<br />' . "\n";
                            echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                            echo '</div>' . "\n";
                        } else {
                            echo '<div style="text-align:center">' . "\n";
                            echo 'Ошибка при создании аккаунта!<br />' . "\n";
                            echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                            echo '</div>' . "\n";
                        }
                    }
                    break;*/
                case 'docroot':
                    if ($_POST['passwd'] <> $_POST['confirm'] or $_POST['passwd'] == '') {
                        echo '<div class="post"><div style="text-align:center">' . "\n";
                        echo 'Ошибка при создании аккаунта!<br />' . "\n";
                        echo 'Пароль не подтвержден.<br />' . "\n";
                        echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                        echo '</div></div>' . "\n";
                    } else {
                        $content = api_query('https://' . $server . '/manager/ispmgr?func=ftp.edit&name=' . urlencode($_POST['name']) . '&passwd=' . urlencode($_POST['passwd']) . '&confirm=' . urlencode($_POST['confirm']) . '&dir=&disklimit=0&elid=&sok=ok&htype=docroot&domain=' . urlencode($_POST['domain']) . '&note=' . urlencode($_POST['note']) . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
                        $parse_xml = simplexml_load_string($content);
                        if (isset($parse_xml->ok)) {
                            echo '<div class="post"><div style="text-align:center">' . "\n";
                            echo 'Аккаунт успешно создан!<br />' . "\n";
                            echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                            echo '</div></div>' . "\n";
                        } else {
                            echo '<div class="post"><div style="text-align:center">' . "\n";
                            echo 'Ошибка при создании аккаунта!<br />' . "\n";
                            echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                            echo '</div></div>' . "\n";
                        }
                    }
                    break;
                case 'custom':
                    if ($_POST['passwd'] <> $_POST['confirm'] or $_POST['passwd'] == '') {
                        echo '<div class="post"><div style="text-align:center">' . "\n";
                        echo 'Ошибка при создании аккаунта!<br />' . "\n";
                        echo 'Пароль не подтвержден.<br />' . "\n";
                        echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                        echo '</div></div>' . "\n";
                    } else {
                        $content = api_query('https://' . $server . '/manager/ispmgr?func=ftp.edit&name=' . urlencode($_POST['name']) . '&passwd=' . urlencode($_POST['passwd']) . '&confirm=' . urlencode($_POST['confirm']) . '&dir=' . urlencode($_POST['dir']) . '&disklimit=0&elid=&sok=ok&htype=custom&domain=&note=' . urlencode($_POST['note']) . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
                        $parse_xml = simplexml_load_string($content);
                        if (isset($parse_xml->ok)) {
                            echo '<div class="post"><div style="text-align:center">' . "\n";
                            echo 'Аккаунт успешно создан!<br />' . "\n";
                            echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                            echo '</div></div>' . "\n";
                        } else {
                            echo '<div class="post"><div style="text-align:center">' . "\n";
                            echo 'Ошибка при создании аккаунта!<br />' . "\n";
                            echo 'Возможно директория не существует.<br />' . "\n";
                            echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                            echo '</div><//div>' . "\n";
                        }
                    }
                    break;
            }
        }
    }
} else {
    if ($_GET['elid'] == $_SESSION['username']) {
        if (empty($_POST['submit'])) {
            $content = api_query('https://' . $server . '/manager/ispmgr?func=ftp.edit&elid=' . urlencode($_GET['elid']) . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
            $parse_xml = simplexml_load_string($content);
            echo '<div class="menu"><img src="images/t-edit.png" alt="." />Изменение FTP аккаунта<br />' . "\n</div>";
            echo '<div class="post"><form action="?func=ftp.edit&amp;elid=' . urlencode($_GET['elid']) . '" method="post">' . "\n";
            echo 'Имя:<br />' . "\n";
            echo '<input name="name" value="' . htmlentities((string)$parse_xml->name, ENT_QUOTES, 'UTF-8') . '" /><br />' . "\n";
            echo 'Пароль:<br />' . "\n";
            echo '<input name="passwd" type="password" /><br />' . "\n";
            echo 'Подтверждение:<br />' . "\n";
            echo '<input name="confirm" type="password" /><br />' . "\n";
            echo 'Заметки:<br />' . "\n";
            echo '<textarea cols="25" rows="3" name="note">' . htmlentities((string)$parse_xml->note, ENT_QUOTES, 'UTF-8') . '</textarea><br />' . "\n";
            echo '<input name="submit" type="submit" value="Изменить" />' . "\n";
            echo '</form>' . "\n</div>";
            echo '<div class="menu"><img src="images/t-back.png" alt=".." /><a href="?func=ftp">Вернуться</a><br />' . "\n";
            echo '<img src="images/sb-menu.png" alt="." /><a href="?func=menu">Вернуться в меню</a>' . "\n</div>";
        } else {
            if ($_POST['passwd'] <> $_POST['confirm'] or $_POST['passwd'] == '') {
                echo '<div class="post"><div style="text-align:center">' . "\n";
                echo 'Ошибка при изменении аккаунта!<br />' . "\n";
                echo 'Пароль не подтвержден.<br />' . "\n";
                echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                echo '</div></div>' . "\n";
            } else {
                $content = api_query('https://' . $server . '/manager/ispmgr?func=ftp.edit&name=' . urlencode($_POST['name']) . '&passwd=' . urlencode($_POST['passwd']) . '&confirm=' . urlencode($_POST['confirm']) . '&dir=&disklimit=0&elid=' . urlencode($_GET['elid']) . '&sok=ok&htype=equalme&domain=&note=' . urlencode($_POST['note']) . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
                $parse_xml = simplexml_load_string($content);
                if (isset($parse_xml->ok)) {
                    $_SESSION['password'] = $_POST['passwd'];
                    echo '<div class="post"><div style="text-align:center">' . "\n";
                    echo 'Аккаунт успешно изменен!<br />' . "\n";
                    echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                    echo '</div></div>' . "\n";
                } else {
                    echo '<div class="post"><div style="text-align:center">' . "\n";
                    echo 'Ошибка при изменении аккаунта!<br />' . "\n";
                    echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                    echo '</div></div>' . "\n";
                }
            }
        }
    } else {
        $content = api_query('https://' . $server . '/manager/ispmgr?func=ftp.edit&elid=' . urlencode($_GET['elid']) . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
        $parse_xml = simplexml_load_string($content);
        if ($parse_xml->htype == 'private') {
            if (empty($_POST['submit'])) {
                echo '<div class="menu"><img src="images/t-edit.png" alt="." />Изменение FTP аккаунта<br />' . "\n</div>";
                echo '<div class="post"><form action="?func=ftp.edit&amp;elid=' . urlencode($_GET['elid']) . '" method="post">' . "\n";
                echo 'Имя:<br />' . "\n";
                echo '<input name="name" value="' . htmlentities((string)$parse_xml->name, ENT_QUOTES, 'UTF-8') . '" /><br />' . "\n";
                echo 'Пароль:<br />' . "\n";
                echo '<input name="passwd" type="password" /><br />' . "\n";
                echo 'Подтверждение:<br />' . "\n";
                echo '<input name="confirm" type="password" /><br />' . "\n";
                echo 'Дисковая квота:<br />' . "\n";
                echo '<input name="disklimit" value="' . htmlentities((string)$parse_xml->disklimit, ENT_QUOTES, 'UTF-8') . '" /><br />' . "\n";
                echo 'Заметки:<br />' . "\n";
                echo '<textarea cols="25" rows="3" name="note">' . htmlentities((string)$parse_xml->note, ENT_QUOTES, 'UTF-8') . '</textarea><br />' . "\n";
                echo '<input name="submit" type="submit" value="Изменить" />' . "\n";
                echo '</form>' . "\n</div>";
                echo '<div class="menu"><img src="images/t-back.png" alt="." /><a href="?func=ftp">Вернуться</a><br />' . "\n";
                echo '<img src="images/sb-menu.png" alt="." /><a href="?func=menu">Вернуться в меню</a>' . "\n</div>";
            } else {
                if ($_POST['passwd'] <> $_POST['confirm'] or $_POST['passwd'] == '') {
                    echo '<div class="post"><div style="text-align:center">' . "\n";
                    echo 'Ошибка при изменении аккаунта!<br />' . "\n";
                    echo 'Пароль не подтвержден.<br />' . "\n";
                    echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                    echo '</div></div>' . "\n";
                } else {
                    $content = api_query('https://' . $server . '/manager/ispmgr?func=ftp.edit&name=' . urlencode($_POST['name']) . '&passwd=' . urlencode($_POST['passwd']) . '&confirm=' . urlencode($_POST['confirm']) . '&dir=&disklimit=' . (int)$_POST['disklimit'] . '&elid=' . urlencode($_GET['elid']) . '&sok=ok&htype=private&domain=&note=' . urlencode($_POST['note']) . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
                    $parse_xml = simplexml_load_string($content);
                    if (isset($parse_xml->ok)) {
                        echo '<div class="post"><div style="text-align:center">' . "\n";
                        echo 'Аккаунт успешно изменен!<br />' . "\n";
                        echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                        echo '</div></div>' . "\n";
                    } else {
                        echo '<div class="post"><div style="text-align:center">' . "\n";
                        echo 'Ошибка при изменении аккаунта!<br />' . "\n";
                        echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                        echo '</div><div>' . "\n";
                    }
                }
            }
        } else {
            if (empty($_POST['submit'])) {
                echo '<div class="menu"><img src="images/t-edit.png" alt="." />Изменение FTP аккаунта<br />' . "\n</div>";
                echo '<div class="post">Выберите тип аккаунта, на который желаете изменить:<br />' . "\n";
                echo '<form action="?func=ftp.edit&amp;elid=' . urlencode($_GET['elid']) . '" method="post">' . "\n";
                echo '<select name="htype">' . "\n";
                echo '<option value="equalme">Эквивалент администратора</option>' . "\n";
                echo '<option value="docroot">Директория WWW домена</option>' . "\n";
                echo '<option value="custom">Другая директория</option>' . "\n";
                echo '</select><br />' . "\n";
                echo '<input name="submit" type="submit" value="Продолжить" />' . "\n";
                echo '</form>' . "\n</div>";
                echo '<div class="menu"><img src="images/t-back.png" alt="." /><a href="?func=ftp">Вернуться</a><br />' . "\n";
                echo '<img src="images/sb-menu.png" alt="." /><a href="?func=menu">Вернуться в меню</a>' . "\n</div>";
            } else {
                if (empty($_POST['edit'])) {
                    $content = api_query('https://' . $server . '/manager/ispmgr?func=ftp.edit&elid=' . urlencode($_GET['elid']) . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
                    $parse_xml = simplexml_load_string($content);
                    echo '<div class="menu"><img src="images/t-edit.png" alt="." />Изменение FTP аккаунта<br />' . "\n</div>";
                    echo '<div class="post"><form action="?func=ftp.edit&amp;elid=' . urlencode($_GET['elid']) . '" method="post">' . "\n";
                    echo 'Имя:<br />' . "\n";
                    echo '<input name="name" value="' . htmlentities((string)$parse_xml->name, ENT_QUOTES, 'UTF-8') . '" /><br />' . "\n";
                    echo 'Пароль:<br />' . "\n";
                    echo '<input name="passwd" type="password" /><br />' . "\n";
                    echo 'Подтверждение:<br />' . "\n";
                    echo '<input name="confirm" type="password" /><br />' . "\n";
                    if ($_POST['htype'] == 'docroot') {
                        echo 'Домен:<br />' . "\n";
                        echo '<select name="domain">' . "\n";
                        $content = api_query('https://' . $server . '/manager/ispmgr?func=wwwdomain&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
                        $parse_xml_domain = simplexml_load_string($content);
                        foreach($parse_xml_domain->elem as $var) {
                            echo '<option value="' . htmlentities((string)$var->name, ENT_QUOTES, 'UTF-8') . '">' . htmlentities((string)$var->name, ENT_QUOTES, 'UTF-8') . '</option>' . "\n";
                        }
                        echo '</select><br />' . "\n";
                    } elseif ($_POST['htype'] == 'custom') {
                        echo 'Директория:<br />' . "\n";
                        echo '<input name="dir"';
                        if (isset($parse_xml->dir)) {
                            echo ' value="' . htmlentities((string)$parse_xml->dir, ENT_QUOTES, 'UTF-8') . '"';
                        }
                        echo ' /><br />' . "\n";
                    }
                    echo 'Заметки:<br />' . "\n";
                    echo '<textarea cols="25" rows="3" name="note">' . htmlentities((string)$parse_xml->note, ENT_QUOTES, 'UTF-8') . '</textarea><br />' . "\n";
                    echo '<input name="submit" type="hidden" value="submit" />' . "\n";
                    echo '<input name="htype" type="hidden" value="' . htmlentities($_POST['htype'], ENT_QUOTES, 'UTF-8') . '" />' . "\n";
                    echo '<input name="edit" type="submit" value="Изменить" />' . "\n";
                    echo '</form>' . "\n</div>";
                    echo '<div class="menu"><img src="images/t-back.png" alt="." /><a href="?func=ftp">Вернуться</a><br />' . "\n";
                    echo '<img src="images/sb-menu.png" alt="." /><a href="?func=menu">Вернуться в меню</a>' . "\n</div>";
                } else {
                    $htype = isset($_POST['htype'])?$_POST['htype']:'';
                    switch ($htype) {
                        default:
                            session_unset();
                            header('Location: index.php');
                            ob_end_flush();
                            exit();
                            break;
                        case 'equalme':
                            if ($_POST['passwd'] <> $_POST['confirm'] or $_POST['passwd'] == '') {
                                echo '<div class="post"><div style="text-align:center">' . "\n";
                                echo 'Ошибка при изменении аккаунта!<br />' . "\n";
                                echo 'Пароль не подтвержден.<br />' . "\n";
                                echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                                echo '</div></div>' . "\n";
                            } else {
                                $content = api_query('https://' . $server . '/manager/ispmgr?func=ftp.edit&name=' . urlencode($_POST['name']) . '&passwd=' . urlencode($_POST['passwd']) . '&confirm=' . urlencode($_POST['confirm']) . '&dir=&disklimit=0&elid=' . urlencode($_GET['elid']) . '&sok=ok&htype=equalme&domain=&note=' . urlencode($_POST['note']) . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
                                $parse_xml = simplexml_load_string($content);
                                if (isset($parse_xml->ok)) {
                                    echo '<div class="post"><div style="text-align:center">' . "\n";
                                    echo 'Аккаунт успешно изменен!<br />' . "\n";
                                    echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                                    echo '</div><div>' . "\n";
                                } else {
                                    echo '<div class="post"><div style="text-align:center">' . "\n";
                                    echo 'Ошибка при изменении аккаунта!<br />' . "\n";
                                    echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                                    echo '</div><div>' . "\n";
                                }
                            }
                            break;
                        case 'docroot':
                            if ($_POST['passwd'] <> $_POST['confirm'] or $_POST['passwd'] == '') {
                                echo '<div class="post"><div style="text-align:center">' . "\n";
                                echo 'Ошибка при изменении аккаунта!<br />' . "\n";
                                echo 'Пароль не подтвержден.<br />' . "\n";
                                echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                                echo '</div></div>' . "\n";
                            } else {
                                $content = api_query('https://' . $server . '/manager/ispmgr?func=ftp.edit&name=' . urlencode($_POST['name']) . '&passwd=' . urlencode($_POST['passwd']) . '&confirm=' . urlencode($_POST['confirm']) . '&dir=&disklimit=0&elid=' . urlencode($_GET['elid']) . '&sok=ok&htype=docroot&domain=' . urlencode($_POST['domain']) . '&note=' . urlencode($_POST['note']) . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
                                $parse_xml = simplexml_load_string($content);
                                if (isset($parse_xml->ok)) {
                                    echo '<div class="post"><div style="text-align:center">' . "\n";
                                    echo 'Аккаунт успешно изменен!<br />' . "\n";
                                    echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                                    echo '</div></div>' . "\n";
                                } else {
                                    echo '<div class="post"><div style="text-align:center">' . "\n";
                                    echo 'Ошибка при изменении аккаунта!<br />' . "\n";
                                    echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                                    echo '</div><div>' . "\n";
                                }
                            }
                            break;
                        case 'custom':
                            if ($_POST['passwd'] <> $_POST['confirm'] or $_POST['passwd'] == '') {
                                echo '<div class="post"><div style="text-align:center">' . "\n";
                                echo 'Ошибка при изменении аккаунта!<br />' . "\n";
                                echo 'Пароль не подтвержден.<br />' . "\n";
                                echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                                echo '</div></div>' . "\n";
                            } else {
                                $content = api_query('https://' . $server . '/manager/ispmgr?func=ftp.edit&name=' . urlencode($_POST['name']) . '&passwd=' . urlencode($_POST['passwd']) . '&confirm=' . urlencode($_POST['confirm']) . '&dir=' . urlencode($_POST['dir']) . '&disklimit=0&elid=' . urlencode($_GET['elid']) . '&sok=ok&htype=custom&domain=&note=' . urlencode($_POST['note']) . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
                                $parse_xml = simplexml_load_string($content);
                                if (isset($parse_xml->ok)) {
                                    echo '<div class="post"><div style="text-align:center">' . "\n";
                                    echo 'Аккаунт успешно изменен!<br />' . "\n";
                                    echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                                    echo '</div></div>' . "\n";
                                } else {
                                    echo '<div class="post"><div style="text-align:center">' . "\n";
                                    echo 'Ошибка при изменении аккаунта!<br />' . "\n";
                                    echo 'Возможно директория не существует.<br />' . "\n";
                                    echo '<a href="?func=ftp">Продолжить</a>' . "\n";
                                    echo '</div></div>' . "\n";
                                }
                            }
                            break;
                    }
                }
            }
        }
    }
}

?>